import { FormObject } from "@/utils/validation-schema";
import { string } from "yup";



export const formFields: FormObject[] = [
  {
    name: "contact_person",
    label: "Contact Person",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "mobile_no",
    label: "Mobile No",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "meter_reading",
    label: "Meter Readeing",
    type: "text",
    defaultValue: "",
    required: false,
  },
  {
    name: "meter_no",
    label: "Meter No",
    type: "text",
    defaultValue: "",
    required: false,
  },
  {
    name: "paid_amount",
    label: "Paid Amount",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "dc_request",
    label: "DC Request",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "meter_un_meter",
    label: "Meter/Un Meter",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "remarks",
    label: "Remarks",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "additional_remarks",
    label: "Additional Remarks",
    type: "text",
    defaultValue: "",
    required: false,
  },
  {
    name: "un_meter_reason",
    label: "Un meter Reason",
    type: "text",
    defaultValue: "",
    required: false,
  }
];